using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.OH
{
    /// <summary>
    /// 职业危害监测报告附件
    /// </summary>
    [Description("职业危害监测报告附件")]
    public class T_OH_HAZARD_MONITOR_JOB_REPORT_FILE : MesEntityBase
    {
        /// <summary>
        /// 职业危害监测报告
        /// </summary>
        [Description("职业危害监测报告")]
        [DataFieldForeignKey("Nav_Report", "Nav_Files")]
        public Guid REPORT_ID { get; set; }

        /// <summary>
        /// 职业危害监测报告
        /// </summary>
        [Description("职业危害监测报告")]
        public virtual T_OH_HAZARD_MONITOR_JOB_REPORT Nav_Report { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}